# Generated from activerecord_chains-0.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name activerecord_chains

Name: rubygem-%{gem_name}
Version: 0.0.0
Release: 1%{?dist}
Summary: Access rules evaluation inspired by iptables
License: BSD-3-Clause
URL: https://github.com/adhoc-gti/activerecord_chains
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Chains enable definition and evaluation of advanced rules of access to
persisted ActiveRecord instances at the record or scope level.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Aug 23 2021 mockbuilder - 0.0.0-1
- Initial package
